
# UI Kitten [<img src="https://i.imgur.com/oMcxwZ0.png" alt="Eva Design System" height="20px" />][link:eva] [![npm][badge:license]]() [![Build Status][badge:travis]][link:travis] [![Coverage Status][badge:coveralls]][link:coveralls]

[Documentation][link:doc-homepage]

UI Kitten is a React Native UI Library that allows you creating stunning multi-brand cross-platform mobile applications. 
The library is based on Eva Design System which brings consistency and scalability in the design and development process. 
It contains a set of general purpose UI components styled in a similar way. 
And the most awesome thing: the themes can be changed in the runtime, with no need to reload the application.

100% Free and Open Source!

[<img src="https://i.imgur.com/pYl0trU.jpg">][link:doc-homepage]

## What's included

- **25+ general-purpose components** designed and tested to save your time.

- **Comprehensive clear documentation** with the tons of examples.

- **Theming System -** Use Light and modern Dark themes and create your own.

- **SVG Eva Icons support -** 480+ general purpose icons

- **Eva Design System Support -** Construct an interface using basic components following Eva specifications and it will always have a stunning design.

## Starter App

**Kitten Tricks** – [react-native starter kit][link:kitten-tricks] allows you to boost the development of a mobile app.
There is a huge variety of customizable layouts, use “as is” or add new blocks.

**Over 40 screens in dark and light themes** give you the possibility to create a bright and exclusive app while saving your time on compiling numerous details.  Also, you can download the source code and use it for your own benefit.  

## Quick Start

Start a new app with UI Kitten template from a scratch:

```bash
npx react-native init MyApp --template react-native-template-ui-kitten
```

This will setup a new React Native application configured with UI Kitten.
Refer to the [Documentation][link:doc-where-start] for more options to start.

## Mobile backend Bundles

Easy way to integrate UI Kitten with backend ([Java][link:ui-kitten-bundle-java], [.NET Core][link:ui-kitten-bundle-dotnet-core]).

[<img src="https://i.imgur.com/oSaGaCv.jpg">][link:ui-kitten-bundles]

## How can I support the developers?
- Star our GitHub repo :star:
- Create pull requests, submit bugs, suggest new features or documentation updates :wrench:
- Read us on [Medium][link:akveo-medium]
- Follow us on [Twitter][link:akveo-twitter]
- Like our page on [Facebook][link:akveo-facebook]

## License
[MIT](LICENSE.txt) license.

## More from Akveo
- [Eva Icons][link:eva-icons] - 480+ beautiful Open Source icons

## From Developers
Made with :heart: by [Akveo team][link:akveo-homepage]. Follow us on [Twitter][link:akveo-twitter] to get the latest news first!
We're always happy to receive your feedback!

[badge:license]: https://img.shields.io/npm/l/react-native-ui-kitten.svg
[badge:travis]: https://travis-ci.com/akveo/react-native-ui-kitten.svg?branch=master
[badge:coveralls]: https://coveralls.io/repos/github/akveo/react-native-ui-kitten/badge.svg?branch=master

[link:eva]: https://eva.design
[link:travis]: https://travis-ci.com/akveo/react-native-ui-kitten
[link:coveralls]: https://coveralls.io/github/akveo/react-native-ui-kitten?branch=master
[link:doc-homepage]: https://akveo.github.io/react-native-ui-kitten
[link:doc-where-start]: https://akveo.github.io/react-native-ui-kitten/docs/getting-started/where-to-start
[link:kitten-tricks]: https://github.com/akveo/kittenTricks
[link:eva-icons]: https://github.com/akveo/eva-icons
[link:akveo-homepage]: https://akveo.com
[link:akveo-medium]: https://medium.com/akveo-engineering
[link:akveo-twitter]: https://twitter.com/akveo_inc
[link:akveo-facebook]: https://www.facebook.com/akveo
[link:ui-kitten-bundles]: https://bit.ly/2MjefPY
[link:ui-kitten-bundle-java]: http://bit.ly/2MYmOPp
[link:ui-kitten-bundle-dotnet-core]: http://bit.ly/31gIBqp
