# Eva Design System

Starting with version 4.0 UI Kitten becomes a React Native implementation of [Eva Design System](https://eva.design?utm_source=ui_kitten_docs&utm_medium=intro).
This means that components visual style and behavior are based on Design System rules and agreements.

<hr>

## Principles

Eva is a customizable Design System based on Atomic Design Principles.
All components are built based on basic elements with shared styles, connected with a single Visual Language for both Mobile and Web platforms.
Most importantly, Eva is built to be customizable, meaning architectural support of multiple themes across all components and supporting platforms.  
<hr>

## Implementations

Eva Design System is implemented for two platforms:

- Mobile - UI Kitten
- Web - [Nebular](https://github.com/akveo/nebular?utm_source=ui_kitten_docs&utm_medium=intro)

Both implementations have a single source of truth for styles and unified theming system.

<hr>

## Supported themes

Currently, there are 2 built-in themes provided by Eva Design System: 
- `light` - clean white theme
- `dark` - dark theme

Theme extension mechanism allows modifying one theme with another.

<hr>

## Enterprise ready

Being a part of Eva Ecosystem, UI Kitten is a great choice for Enterprise-grade products, providing complete control over application look & feel.
  
<hr>

## Related Articles

- [Design System Rules](design-system/design-system-theme)
- [Create Custom Theme](design-system/create-custom-theme)
